[SRU] No sound from internal card chtmax98090 (missing UCM2 files in alsa-ucm-conf)

Bug #1871306 reported by Gabriele Tettamanzi
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Undecided
Unassigned
alsa-ucm-conf (Ubuntu)
High
Hui Wang
Focal
High
Hui Wang
Groovy
High
Hui Wang

Bug Description

[Impact]
There is no ucm for ASUS C300 in the 20.04 and 20.10, as a result,
the audio doesn't work on this machine after installing the 20.04 or
20.10.

[Fix]
The ucm files for this machine are in the alsa-ucm-conf 1.2.3,
cherry-pick them to ubuntu 20.04 and 20.10

[Test Case]
After booting up, use speaker to play some sound, it works well,
plug a headset, play sound to headphone, it basically works but has
some crankling noise, it is a kernel issue for this noise.

[Regression Risk]
This SRU adds new ucm files, If the machine uses the audio driver
of chtmax98090, it will apply this new added ucm files, there will
be speaker/headphone in the UI. So the possible regression is with
this SRU, users could see the audio devices in the UI but the audio
doesn't work (without this SRU, users couldn't see the audio devices
in the UI at all and the audio doesn't work). This possibility is
low since we tested it on the ASUS C300.

Asus C300 (repurposed chromembook - bios flashed by Mr.Chromebox script) - Kubuntu Focal minimal fresh installation.
The sound card is detected: I see it in the Plasma Widget, in pavucontrol, in alsamixer and it's not muted.
I tried and add in /usr/share/alsa/ucm/chtmax98090/ the old style use case config files: no success.
I tried and unmute speakers left and right in alsamixer: no success.

I rapidly tested Ubuntu Mate Focal fresh install: I had exactly the same issue.

I'm running on the same rig Debian Bullseye, kernel 5.4: sound card output and input are both working perfectly - I noticed that in Kubuntu alsamixer Kubuntu when I open it I have an entry HDA IntelPCH (the HDMI card), while in Debian I find Pulseaudio.

I attach the alsa-info.sh output.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: ubuntu-release-upgrader-core 1:20.04.17
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
Uname: Linux 5.4.0-21-generic x86_64
ApportVersion: 2.20.11-0ubuntu24
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: KDE
Date: Tue Apr 7 08:55:46 2020
InstallationDate: Installed on 2020-04-04 (2 days ago)
InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200401)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: dist-upgrade
UpgradeStatus: No upgrade log present (probably fresh install)
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu24
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: gabriel3 937 F.... pulseaudio
 /dev/snd/controlC0: gabriel3 937 F.... pulseaudio
CurrentDesktop: KDE
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-04-04 (3 days ago)
InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200401)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 8087:07dc Intel Corp.
 Bus 001 Device 003: ID 13d3:5657 IMC Networks USB2.0 UVC HD Webcam
 Bus 001 Device 002: ID 062a:4101 MosArt Semiconductor Corp. Wireless Keyboard/Mouse
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: GOOGLE Quawks
Package: linux (not installed)
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic root=UUID=225cba91-c164-4882-95d4-4f9854a80fe9 ro quiet splash
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-21-generic N/A
 linux-backports-modules-5.4.0-21-generic N/A
 linux-firmware 1.187
Tags: focal
Uname: Linux 5.4.0-21-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/17/2020
dmi.bios.vendor: coreboot
dmi.bios.version: MrChromebox-4.11.2
dmi.board.name: Quawks
dmi.board.vendor: GOOGLE
dmi.board.version: 1.0
dmi.chassis.type: 9
dmi.chassis.vendor: GOOGLE
dmi.modalias: dmi:bvncoreboot:bvrMrChromebox-4.11.2:bd03/17/2020:svnGOOGLE:pnQuawks:pvr1.0:rvnGOOGLE:rnQuawks:rvr1.0:cvnGOOGLE:ct9:cvr:
dmi.product.name: Quawks
dmi.product.version: 1.0
dmi.sys.vendor: GOOGLE

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

#kernel-sound
I read in the wiki that the sound issues have to be filed against "linux", changed from ubuntu-release-upgrade

affects: ubuntu-release-upgrader (Ubuntu) → linux (Ubuntu)
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1871306

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : CRDA.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : IwConfig.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Lspci.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Lsusb-t.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Lsusb-v.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : ProcEnviron.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : ProcModules.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : PulseList.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : RfKill.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : UdevDb.txt

apport information

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : WifiSyslog.txt

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Re: No sound from internal card chtmax98090 Bay Trail QWAWKS

I have a workaorund and a fix for this bug.
The bug is due to missing UCM2 folders and config files, which are now available on git hub.

The missing folders are:
- /usr/share/alsa/ucm2/chtmax98090/ : it can be retrieved from https://github.com/alsa-project/alsa-ucm-conf/tree/master/ucm2/chtmax98090

- /usr/share/ucm2/codecs/max98090/ : it can be retrived from https://github.com/alsa-project/alsa-ucm-conf/tree/master/ucm2/codecs/max98090

After adding the above two folders and a reboot, the sound works fine.
Tested on Ubuntu 20.04.1

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

The package involved is alsa-ucm-conf, version 1.2.2
It does not contain the UCM2 configuration files for the sound card chtmax98090, which have been added upstream.
Because groovy has alsa-ucm-conf 1.2.2, the bug is applicable for 20.10 too.
In Debian unstable and testing is available alsa-ucm-conf 1.2.3, which contains the missing UCM2 files.

summary: - No sound from internal card chtmax98090 Bay Trail QWAWKS
+ No sound from internal card chtmax98090 Bay Trail QWAWKS - missing UCM2
+ files in alsa-ucm-conf 1.2.2
Changed in alsa-ucm-conf (Ubuntu):
status: New → Confirmed
no longer affects: linux (Ubuntu)
summary: - No sound from internal card chtmax98090 Bay Trail QWAWKS - missing UCM2
- files in alsa-ucm-conf 1.2.2
+ No sound from internal card chtmax98090 - missing UCM2 files in alsa-
+ ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Re: No sound from internal card chtmax98090 - missing UCM2 files in alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3

I manually installed alsa-ucm-conf 1.2.3 from Debian testing on Focal: it works perfectly.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thank you for your bug report.

Hui, is that something you would be interested to handle? Could you perhaps do the 1.2.3 update for the Gserie as well? You cherry picked some changes over .2 which don't seem included in .3 yet but the list of patches would need to be reviewed in the update

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote : Re: [Bug 1871306] Re: No sound from internal card chtmax98090 - missing UCM2 files in alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
Download full text (4.4 KiB)

Thank you for getting in touch. As I commented, I installed the
alsa-ucm-conf 1.2.3 from Debian testing and it is working fine.

Gabriele

Il giorno lun 28 set 2020 alle ore 17:41 Sebastien Bacher <
<email address hidden>> ha scritto:

> Thank you for your bug report.
>
> Hui, is that something you would be interested to handle? Could you
> perhaps do the 1.2.3 update for the Gserie as well? You cherry picked
> some changes over .2 which don't seem included in .3 yet but the list of
> patches would need to be reviewed in the update
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1871306
>
> Title:
> No sound from internal card chtmax98090 - missing UCM2 files in alsa-
> ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
>
> Status in alsa-ucm-conf package in Ubuntu:
> Confirmed
>
> Bug description:
> Asus C300 (repurposed chromembook - bios flashed by Mr.Chromebox
> script) - Kubuntu Focal minimal fresh installation.
> The sound card is detected: I see it in the Plasma Widget, in
> pavucontrol, in alsamixer and it's not muted.
> I tried and add in /usr/share/alsa/ucm/chtmax98090/ the old style use
> case config files: no success.
> I tried and unmute speakers left and right in alsamixer: no success.
>
> I rapidly tested Ubuntu Mate Focal fresh install: I had exactly the
> same issue.
>
> I'm running on the same rig Debian Bullseye, kernel 5.4: sound card
> output and input are both working perfectly - I noticed that in
> Kubuntu alsamixer Kubuntu when I open it I have an entry HDA IntelPCH
> (the HDMI card), while in Debian I find Pulseaudio.
>
>
> I attach the alsa-info.sh output.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: ubuntu-release-upgrader-core 1:20.04.17
> ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
> Uname: Linux 5.4.0-21-generic x86_64
> ApportVersion: 2.20.11-0ubuntu24
> Architecture: amd64
> CrashDB: ubuntu
> CurrentDesktop: KDE
> Date: Tue Apr 7 08:55:46 2020
> InstallationDate: Installed on 2020-04-04 (2 days ago)
> InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Beta amd64
> (20200401)
> PackageArchitecture: all
> SourcePackage: ubuntu-release-upgrader
> Symptom: dist-upgrade
> UpgradeStatus: No upgrade log present (probably fresh install)
> ---
> ProblemType: Bug
> ApportVersion: 2.20.11-0ubuntu24
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: gabriel3 937 F.... pulseaudio
> /dev/snd/controlC0: gabriel3 937 F.... pulseaudio
> CurrentDesktop: KDE
> DistroRelease: Ubuntu 20.04
> InstallationDate: Installed on 2020-04-04 (3 days ago)
> InstallationMedia: Kubuntu 20.04 LTS "Focal Fossa" - Beta amd64
> (20200401)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 8087:07dc Intel Corp.
> Bus 001 Device 003: ID 13d3:5657 IMC Networks USB2.0 UVC HD Webcam
> Bus 001 Device 002: ID 062a:4101 MosArt Semiconductor Corp. Wireless
> Keyboard/Mouse
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>...

Read more...

Revision history for this message
Hui Wang (hui.wang) wrote : Re: No sound from internal card chtmax98090 - missing UCM2 files in alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3

OK, I will handle this bug.

Changed in alsa-ucm-conf (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
importance: Undecided → High
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

Thank you so much Hui to handle this bug, feel free to ask me for testing on real hardware.

For 20.04 and newer, to fix this bug also fixes bug 1833116

https://bugs.launchpad.net/ubuntu/+source/alsa-ucm-conf/+bug/1833116

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabriele,

Please add this ppa: ppa:hui.wang/pa-testing and install the testing alsa-ucm-conf 1.2.2-1ubuntu0.4.1+test, reboot and test.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui

I added your pa-testing repo and updated/upgraded.
Some more packages have been upgraded from pa-testing repo.
Speakers and headset working almost fine (some crackles).
Internal mic and headphone so low and so crackling to be unusable.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabriele,

It will also upgrade the pulseaudio, but that pulseaudio will not bring any impact on your machine.

Did you experience the same crackling and low volume with the alsa-ucm-conf 1.2.3 from Debian? If Debian version doesn't have this problem, Could you diff my testing version with Debian version?

I didn't cherrypick/backport (0a8dd118f7b56372e3f0d6037fe91e4e8108f508 ucm2: use Include (Syntax 3)), since it will introduce huge changes on many many platforms and v1.2.3 doesn't have this commit yet. Maybe this commit could fix your problem (In theory, it will not fix your problem).

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui

There's no sound recording difference within Debian 1.2.3 and yours testing 1.2.2

I narrowed down the issue: it's coming along when plugging / unplugging the headset jack while I'm running the recording piece of software.

I'm able to reproduce the issue on Audacity.

This issue makes web Skype unusable, the installed version of Zoom seems to work of I plug the jack in before launching it.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabirele,

Looks there is no difference between Debian 1.2.3 and testing 1.2.2, so should I submit the testing 1.2.2 to ubuntu package?

And for the problem you met, maybe it is a kernel issue or a pulseaudio issue, you could file bugs against to linux kernel and pulseaudio. Because we don't have hardware, we couldn't reproduce the issue you mentioned.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
Agreed, your backport in 1.2.2 testingvis working as well as the 1.2.3 from Debian Bullseye.

It definitively makes sense to submit the 1.2.2 testing to the Ubuntu packagers.

Do I need to file a bug against Groovy same issue or is the 1.2.2 is automatically included in Groovy too?

I'll check more in deep the crackles issue and if it's the case I'll file new bug.

Thank you so much for your fix.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabirele,

No need to file a bug against Groovy, I will submit the fixes both for Groovy and Focal after the holiday.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
Ok thanks.

Last night I re installed from scratch Ubuntu 20.04.1 and I noted a variation: to make the sound to work I needed to add your testing repo and to do an upgrade. Previously I fixed the sound issue by simply adding the two missing folders in ucm2 and ucm2/codecs for chtmax98090 sound card.

Revision history for this message
Mathi (mathiraj) wrote :

thanks for working on this @Hui and @Gabirele

Today i added ppa:hui.wang/pa-testing and installed alsa-ucm-conf followed by an "apt update; apt upgrade"

when i rebooted the system after that, i was so happy to have the sound working.
sound worked from browser (while watching youtube videos) and also from media players.

But when I opened the pulse audio volume control, i noticed a strange behavior. Suddenly the sound became garbled. I could still hear the sound but it was very garbled.

Same behavior observed when i tried to do a zoom conference. The sound on zoom was also very much garbled. Is there a way to fix this?

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

 @Mathi
I have the same problem, I thought it was related to plugging/unplugging the headset jack (see comment #28 and following ones).

Hui's and my opinion is the it's not alsa-ucm-conf related, therefore this requires more analysis and a new bug report.

What you could do:
- to play with parameters in alsamixer (it does not work with me)
- to test a more recent mainline kernel (not tested yet)
- to install alsa-ucm-conf 1.2.3 from Debian (not tested yet)

Post your testing results please.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Mathi
I installed alsa-ucm-conf 1.2.3 from Debian and the last Ubuntu mainline kernel 5.8.13.

This setup seems to fix the issue, however the test I did is too short to confirm this work around.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
alsa-ucm-conf 1.2.3 from Debian Bullseye and mainline kernel generic 5.8.13 eliminate garbling/crackling sound: plugging and un plugging the headset works perfectly, Skype is working as expected.

Do you suggest me to do any more testing?

Should I file a new bug report against either the kernel or pulseaudio or maybe the two of them?

Revision history for this message
Mathi (mathiraj) wrote :

@Gabirele
thanks for reporting that the problem does not happen with kernel 5.8.x
I'd like to do some testing with kernel 5.8 but that won't be atleast for a week. I'll report back when i test.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabirele,

Looks like we need to open a kernel bug for this machine. Could you please test with ubuntu oem kernel 5.6.0-1022 or later kernel, does this kernel have garbling/crackling sound problem?

Revision history for this message
Hui Wang (hui.wang) wrote : Re: [SRU]No sound from internal card chtmax98090 - missing UCM2 files in alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3

This is the debdiff for groovy.

thx.

summary: - No sound from internal card chtmax98090 - missing UCM2 files in alsa-
- ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
+ [SRU]No sound from internal card chtmax98090 - missing UCM2 files in
+ alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
description: updated
Changed in alsa-ucm-conf (Ubuntu Focal):
assignee: nobody → Hui Wang (hui.wang)
importance: Undecided → High
status: New → In Progress
Changed in alsa-ucm-conf (Ubuntu Groovy):
status: Confirmed → In Progress
Revision history for this message
Hui Wang (hui.wang) wrote :

This is the debdiff for focal.

thx

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui

I did a new round of test.

1. purged alsa-ucm-conf and installed alsa-ucm-conf 1.2.2-1ubuntu0.4.1+test from your ppa

2. tested sound on 4 kernels
   a. mainline generic 5.8.13 and 5.6.19: sound is working fine, Skype echo test included, headset jack plugging and unplugging are managed with no issue
   b. 5.4.48 and 5.6.0 1020 oem: sound becomes garbled/crackling, instability on jack plugging and unplugging, Skype not usable

My conclusion: there's some problematic interaction with the standard kernels.

Does it make sense me to test groovy? It's kernel 5.8

Revision history for this message
Hui Wang (hui.wang) wrote :

I guess the groovy kernel will work fine.

Could you please test standard kernel v5.7 and v5.8-rc1?

https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.7/

https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.8-rc1/

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
Sound is working well on both mainline 5.7.0 and 5.8 rc1

Revision history for this message
Hui Wang (hui.wang) wrote :
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
mainline 5.6.0 sound not working
mainline 5.7 rc1: sound working, Skype test not possible because wifi connection is not working

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabriele,

"mainline 5.6.0 sound not working", does it mean it has the issue of garbled/crackling when plugging/unplugging?

I compared the codecs/platform/machine drivers between 5.6 and 5.7-rc1, no big difference. I have no idea what makes 5.7-rc1 work.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui

I repeated the test. I'm afraid I did a mistake in reporting the test results.

mainline 5.7 rc1: sound not working (the sound emitted is not intelligible, it's like an infinite echo loop)
mainline 5.6.0: sound working, Skype test not possible because wifi connection is not working

When I boot back to mainline 5.8.14 sound s perfect and wifi works as expected.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gabriele,

I have no idea since there is no big difference on drivers for this platform between 5.6.0 and 5.7.0-rc1.

If you could bisect the kernel to find which commits are necessary, it would be helpful.

Revision history for this message
Hui Wang (hui.wang) wrote :

BTW, the audio depends on the amixer to be set correctly since it uses the ucm. Could you please compare the output of "amixer -c1 contents" with 5.6.0 and 5.7.0-rc1?

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui

I'm not able to "bisect the kernel".
amixer settings: ok I'll do it later.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
I reinstalled the mainline 5.6.0 and 5.7.0 rc1.
First, I confirm the report 5.6.0 sound working, 5.7.0 rc1 sound not working.
Second I diffed the output of amixer -c1 for the two kernels: no difference at all.

Revision history for this message
Mathi (mathiraj) wrote :

Since the sound works fine with 5.8 kernel, is it a possibility to have this fix pushed in groovy first so that when it is released it contains the fix?

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Mathi
Test it: if you add Hui's ppa it should work out of the box.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
I updated today to 20.10 and tested.

With the official alsa-ucm-conf 1.2.2 and with the official kernel the sound works. However I needed to use alsamixer manually to manage the volume levels when plugging in and out the headset jack.

I didn't find a Groovy build of the testing 1.2.2 in your ppa, therefore I installed alsa-ucm-conf 1.2.3 from Debian testing, rebooted and a perfectly working sound was back.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Gbriele,

After the #41 is merged, the sound will work in the 20.10.

And also maybe we should upgrade the alsa-ucm-conf to 1.2.3 in the 20.10.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

@Hui
Ok thanks for the info.
I'm not able to patch the current groovy source package and compile it, I cannot test the patch in advance.

Revision history for this message
Mathi (mathiraj) wrote :

I installed 20.10 on my Dell Chromebook 3120 and then installed alsa-ucm-conf from https://packages.debian.org/testing/alsa-ucm-conf and got working sound. (Thanks for the tips @Gabirele)

The volume was very low initially and i had to use alsamixer to increase it. But even after i increase the volume to the highest/maximum, i still feel it is lower than what it was with the chromeos. @Gabirele was this your experience too? Is there a way to further increase the sound volume?

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

In my case volume levels are good on both 20.10 and 20.04.
Consider that the alsa-ucm-conf parameters upstream for chtmax98090 are based on my hardware.

Mathew Hodson (mhodson)
tags: added: patch
removed: dist-upgrade
Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

Updated work around for Focal Fossa 20.04.1

1: to install linux-generic-hwe-20.04-edge from the official repo
2: to install alsa-ucm-conf_1.2.3-1_all.deb from Debian Snaphots (link di download: https://snapshot.debian.org/archive/debian/20200820T205846Z/pool/main/a/alsa-ucm-conf/alsa-ucm-conf_1.2.3-1_all.deb)

Tested on Xubuntu 20.04.1.

Revision history for this message
Gabriele Tettamanzi (gabriel3) wrote :

Updated work around for Focal Fossa 20.04.1

1: to install alsa-ucm-conf_1.2.3-1_all.deb from Debian Snapshots (link di download: https://snapshot.debian.org/archive/debian/20200820T205846Z/pool/main/a/alsa-ucm-conf/alsa-ucm-conf_1.2.3-1_all.deb)

Tested on Xubuntu 20.04.1 kernel 5.4.0-58-generic

Revision history for this message
Mathew Hodson (mhodson) wrote :

alsa-ucm-conf (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.1, with no changes needed.

 -- Jordi Mallach <email address hidden> Mon, 07 Dec 2020 22:13:23 +0100

Changed in alsa-ucm-conf (Ubuntu):
status: In Progress → Fix Released
summary: - [SRU]No sound from internal card chtmax98090 - missing UCM2 files in
- alsa-ucm-conf 1.2.2, available in alsa-ucm-conf 1.2.3
+ [SRU] No sound from internal card chtmax98090 (missing UCM2 files in
+ alsa-ucm-conf)
Rex Tsai (chihchun)
tags: added: oem-priority
Revision history for this message
boda liao (liaoboda) wrote :

I have installed an ubuntu 18.04.5 (kernel 5.4.0-52 ) on lenovo X1 Extreme. Is there some way to make the mic working on this kernel version? Thanks,

Revision history for this message
Brian Murray (brian-murray) wrote :

The Groovy Gorilla has reached end of life, so this bug will not be fixed for that release

Changed in alsa-ucm-conf (Ubuntu Groovy):
status: In Progress → Won't Fix
To post a comment you must log in.